Subject: [mpls] Thoughts on draft-saad-mpls-lsp-instant-install-rsvpte

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 8 Nov 2015 10:03:12 -0000

Hi authors,

You say:

   In practice, however, the RSVP
   Resv message for the new LSP can reach the ingress before one (or
   more) LSR(s) have completed programming their forwarding for the new
   LSP. 

I suppose we are falling into the variation cases of 3209's "SHOULD".

      The node SHOULD be prepared to
      forward packets carrying the assigned label prior to sending the
      Resv message.

Indeed, pipelining seems to be quite as common in packet networks as it is in
optical networks.

You might find RFC 6383 useful reading.

Adrian